package com.njcn.harmonic.service.upload;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.harmonic.pojo.param.UploadDataParam;
import com.njcn.harmonic.pojo.param.UploadParam;
import com.njcn.harmonic.pojo.param.upload.DimBusBarParam;
import com.njcn.harmonic.pojo.po.upload.RUploadEvaluationDataD;
import com.njcn.harmonic.pojo.vo.upload.DimBusBarVO;
import com.njcn.harmonic.pojo.vo.upload.UploadEvaluationDataVo;
import com.njcn.web.pojo.dto.PmsPage;

/**
 * <p>
 * 电能质量基准水平评估数据-日表 服务类
 * </p>
 *
 * @author xuyang
 * @since 2023-12-12
 */
public interface IEvaluationDataService extends IService<RUploadEvaluationDataD> {

    /**
     * 2.4.1.8接收电能质量基准水平评估数据接口
     * @param param
     */
    Page<UploadEvaluationDataVo> getEvaluationData(UploadDataParam param);

    /**
     * 数据上送接口
     * @param param
     */
    String uploadEvaluationData(UploadParam param);




    /**
     *接收总部基准水平评估在运母线数量详情下穿接口
     */
    PmsPage<DimBusBarVO> getBaseEvaOnlineBusDetail(DimBusBarParam param);

    /**
     *接收总部基准水平评估监测母线列表详情下穿接口
     */
    PmsPage<DimBusBarVO>getBaseEvaMonitorBusDetail(DimBusBarParam param);


    PmsPage<DimBusBarVO> getBusListByVoltageLevel(DimBusBarParam param);

    PmsPage<DimBusBarVO.DimBusBarEffectMonitorVO> getMonitorListByBus(DimBusBarParam param);

    PmsPage<DimBusBarVO.DimBusBarMonitorVO> getBaseEvaBusMonitorList(DimBusBarParam param);

    PmsPage<DimBusBarVO.DimBusBarMonitorAvgVO> getBusAvgListByMonitorId(DimBusBarParam param);



}
